Package org.eclipse.graphiti.ui.internal.command

## Class AddModelObjectCommand

- java.lang.Object
- - org.eclipse.gef.commands.Command
  - - org.eclipse.graphiti.ui.internal.command.AbstractCommand
    - - org.eclipse.graphiti.ui.internal.command.AddModelObjectCommand

All Implemented Interfaces:
  `IConfigurationProviderHolder`

    public class AddModelObjectCommand
    extends AbstractCommand

### Constructor Summary

Constructors
`AddModelObjectCommand​(IConfigurationProvider configurationProvider, ContainerShape parent, org.eclipse.jface.viewers.ISelection sel, org.eclipse.draw2d.geometry.Rectangle rectangle)`
`AddModelObjectCommand​(IConfigurationProvider configurationProvider, ContainerShape parent, org.eclipse.jface.viewers.ISelection sel, org.eclipse.draw2d.geometry.Rectangle rectangle, Connection connection)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canExecute()`
`boolean` `canUndo()`
`void` `execute()`
`IFeatureAndContext[]` `getFeaturesAndContexts()`

### Methods inherited from class org.eclipse.graphiti.ui.internal.command.AbstractCommand

`getConfigurationProvider, getFeatureProvider, getTransactionalEditingDomain`

### Methods inherited from class org.eclipse.gef.commands.Command

`canRedo, chain, dispose, getDebugLabel, getLabel, redo, setDebugLabel, setLabel, undo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AddModelObjectCommand

    public AddModelObjectCommand​(IConfigurationProvider configurationProvider,
                                 ContainerShape parent,
                                 org.eclipse.jface.viewers.ISelection sel,
                                 org.eclipse.draw2d.geometry.Rectangle rectangle)

#### AddModelObjectCommand

    public AddModelObjectCommand​(IConfigurationProvider configurationProvider,
                                 ContainerShape parent,
                                 org.eclipse.jface.viewers.ISelection sel,
                                 org.eclipse.draw2d.geometry.Rectangle rectangle,
                                 Connection connection)

### Method Detail

#### canExecute

    public boolean canExecute()

Overrides:
  `canExecute` in class `org.eclipse.gef.commands.Command`

#### execute

    public void execute()

Overrides:
  `execute` in class `org.eclipse.gef.commands.Command`

#### canUndo

    public boolean canUndo()

Overrides:
  `canUndo` in class `org.eclipse.gef.commands.Command`

#### getFeaturesAndContexts

    public IFeatureAndContext[] getFeaturesAndContexts()